import type { CLI } from '@stacksjs/types';

declare interface DnsOptions {
  query?: string
  type?: string
  nameserver?: string
  class?: string
  udp?: boolean
  tcp?: boolean
  tls?: boolean
  https?: boolean
  short?: boolean
  json?: boolean
  pretty?: boolean
  p?: boolean 
  verbose?: boolean
}
export declare function dns(buddy: CLI): void;